GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/ser-event.h File Reference

Go to the source code of this file.

## Functions
struct serial_event * | make_serial_event (void)
int | serial_event_fd (struct serial_event *event)
void | serial_event_set (struct serial_event *event)
void | serial_event_clear (struct serial_event *event)

## Function Documentation

## ◆ make_serial_event()

struct serial_event* make_serial_event | ( | void |  | ) |

Definition at line 163 of file ser-event.c.

References serial_event_ops, and serial_open_ops().

Referenced by async_init_signals(), gdbpy_initialize_events(), and initialize_async_signal_handlers().

## ◆ serial_event_clear()

void serial_event_clear | ( | struct serial_event * | event | ) |

Definition at line 202 of file ser-event.c.

References serial::fd, read(), and serial::state.

Referenced by gdbpy_run_events(), invoke_async_signal_handlers(), and quit_serial_event_clear().

## ◆ serial_event_fd()

int serial_event_fd | ( | struct serial_event * | event | ) |

Definition at line 171 of file ser-event.c.

References serial::fd.

Referenced by gdbpy_initialize_events(), initialize_async_signal_handlers(), and quit_serial_event_fd().

## ◆ serial_event_set()

void serial_event_set | ( | struct serial_event * | event | ) |

Definition at line 181 of file ser-event.c.

References serial::state, and serial_event_state::write_fd.

Referenced by gdbpy_post_event(), mark_async_signal_handler(), and quit_serial_event_set().